Subject: Re: DBD Mysql and perl under Cygwin 2.249.2.5 , need to run rebase??
From: Jason Tishler <[email-masked]>
To: Zach Nobel <[email-masked]>
Cc: Cygwin <[email-masked]>
Date: Wed, 12 Mar 2003 12:04:42 -0500

Zach,

Please post instead of sending private email.

On Tue, Mar 11, 2003 at 01:52:45PM -0800, Zach Nobel wrote:
> I used the setup program to run rebaseall, but got an error message.
> Unfortunately windows doesn't give me the full path of what it's
> trying to create/write too, so I'm stuck. Any ideas?

rebaseall uses one of the following directories for temp files in
decreasing priority:

    $TMP
    $TEMP
    /tmp

> -------------------------------
> Administrator@image2 ~
> $ mkdir -p /cygdrive/c/WINNT/Profiles/ADMINIST/LOCALS~1/Temp/1
                                              ^^

Why did you execute the above?

> Administrator@image2 ~
> $ rebaseall
> rebaseall: /cygdrive/c/WINNT/Profiles/ADMINI~1/LOCALS~1/Temp/1 is not 
> writable

rebaseall is aborting because the temp directory is not writable.

Is $TMP or $TEMP set to the following?

    /cygdrive/c/WINNT/Profiles/ADMINI~1/LOCALS~1/Temp/1

> Administrator@image2 ~
> $ ls  /cygdrive/c/WINNT/Profiles/ADMINIST/LOCALS~1/Temp/1

What does the following indicate?

    $ ls -ld /cygdrive/c/WINNT/Profiles/ADMINI~1/LOCALS~1/Temp/1

> Administrator@image2 ~
> -------------------------------
> 
> I don't know what LOCALS~1 would be. I'm on a windows 2000 SP3 computer as 
> the 'Administrator'. 
> 
> Also tried building rebase-2.2.2 on my computer, but the build.sh script 
> files failed. permissions perhaps?

Why would rebuilding rebase fix the above permissions problems?

> Logfile attached..
> 
> [snip]

Jason

-- 
PGP/GPG Key: http://www.tishler.net/jason/pubkey.asc or key servers
Fingerprint: 7A73 1405 7F2B E669 C19D  8784 1AFD E4CC ECF4 8EF6

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/